operationId: createTransportCompany
summary: Create transport company
tags:
  -  transport companies
parameters:
  - $ref: ../../components/header-parameters/tenant-subdomain.yml
requestBody:
  content:
    application/json:
      schema:
        allOf:
          - $ref: ../../components/schemas/entities/transport-company/properties.yml
          - $ref: ../../components/schemas/entities/transport-company/required_properties.yml


responses:
  201:
    description: Success
    content:
      application/json:
        schema:
          allOf:
            - $ref: ../../components/schemas/entities/transport-company/properties.yml

  400:
    $ref: ../../components/responses/400-bad-request.yml
